//
//  firstView.swift
//  IOS08_生命周期
//
//  Created by lee on 2017/12/31.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit

class firstView: UIViewController {

    var txt: UITextField!
    var btn: UIButton!
    //加载视图时调用该方法
    override func loadView() {
        super.loadView()
        print("firstView视图将要加载")
    }
    //视图加载结束时调用该方法
    override func viewDidLoad() {
        super.viewDidLoad()

        view.backgroundColor = UIColor.red
        
        btn = UIButton()
        //指定button的位置和大小
        btn.frame = CGRect(x: 20, y: 100, width: 200, height: 30)
        btn.backgroundColor = UIColor.green
        btn.setTitle("跳转", for: UIControlState.normal)
        view.addSubview(btn)
        
        //实例化uitextfield
        txt = UITextField()
        txt.frame = CGRect(x: 20, y: 200, width: 200, height: 30)
        txt.placeholder = "请输入..."
        //取出存储的数据
        txt.text = UserDefaults.standard.value(forKey: "abc") as? String
        
        txt.backgroundColor = UIColor.green
        view.addSubview(txt)
        
        btn.addTarget(self, action: #selector(btnClick), for: UIControlEvents.touchUpInside)
        print("firstView视图加载结束")
    }
    
    func btnClick(){
    
        self.present(secondView(), animated: true, completion: nil)
    }
    //视图即将显示的时候调用该方法
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        print("firstView视图将要显示")
    }

    //视图已经显示的时候调用该方法
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        print("firstView视图已经显示")
    }
    
    //视图将要消失的时候调用该方法
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        print("firstView视图将要消失")
    }
    
    //视图已经消失的时候调用该方法
    override func viewDidDisappear(_ animated: Bool) {
        super.viewDidDisappear(animated)
        print("firstView视图已经消失")
        //保存数据到什么名字的文件
        UserDefaults.standard.set(txt.text, forKey: "abc")
        
        //更新数据
        UserDefaults.standard.synchronize()
    }
    
    //当应用程序街道内存警告时调用
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

  

}
